<?php
// $Id: role_expire.views.inc,v 1.4 2009/09/23 19:31:21 stewsnooze Exp $

/**
 * @file
 * Role Expire Views hooks
 *
 * Views module integration with the role expire module
 */

/**
 * Implementation of hook_views_data().
 */
function role_expire_views_data() {
  $data['role_expire']['table']['group']  = t('User');

  $data['role_expire']['table']['join'] = array(
    'users' => array(
      'left_field' => 'uid',
      'field' => 'uid',
    ),
    // currently 'role' is not a base table, so this is useless
    'role' => array(
      'left_field' => 'rid',
      'field' => 'rid',
    ),
    'node' => array(
      'left_field' => 'uid',
      'field' => 'uid',
    ),
  );
  $data['role_expire']['exp_date'] = array(
    'real field' => 'expiry_timestamp',
    'title' => t('Role expiration date'),
    'help' => t('Date of role expiration.'),
    'field' => array(
      'handler' => 'views_handler_field_date',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort_date',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_date',
      'allow empty' => TRUE,
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_date',
    ),
  );

  $data['role_expire']['exp_rid'] = array(
    'real field' => 'rid',
    'title' => t('Role expiration role ID'),
    'help' => t('Role ID of role expiration.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_user_roles',
      'allow empty' => TRUE,
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_users_roles_rid',
    ),
  );

  // currently 'role' is not a base table, so this is redundant
  $data['role_expire']['exp_uid'] = array(
    'real field' => 'uid',
    'help' => t('User ID of role expiration.'),
    'relationship' => array(
      'label' => t('User'),
      'base' => 'users',
      'base field' => 'uid',
      'skip base' => 'users',
    ),
    'field' => array(
      'handler' => 'views_handler_field_user',
      'click sortable' => TRUE,
      'skip base' => 'users',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
      'skip base' => 'users',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
      'skip base' => 'users',
      'allow empty' => TRUE,
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
      'skip base' => 'users',
    ),
  );

  // Special role table for linkage of role_expire's role ID to role name
  $data['role_expire_role']['table']['group']  = t('User');

  $data['role_expire_role']['table']['join'] = array(
    'users' => array(
      'table' => 'role',
      'left_table' => 'role_expire',
      'left_field' => 'rid',
      'field' => 'rid',
    ),
  );

  $data['role_expire_role']['exp_role_name'] = array(
    'real field' => 'name',
    'title' => t('Role expiration name'),
    'help' => t('Role name of role expiration.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
      'allow empty' => TRUE,
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
     ),
   );

  return $data;
}